#include "pico/stdlib.h"

#define CONTACTEUR_ACTIF 0
#define CONTACTEUR_INACTIF 1

#define DOIGT_TIENT 1
#define DOIGT_LACHE 0

#define BRAS_PLIE 0
#define BRAS_POT_SOL 1
#define BRAS_POT_POT 2
#define BRAS_ECARTE 3
#define BRAS_DEPOSE_JARDINIERE 4
#define BRAS_HAUT 5

#define NB_BRAS 6

#define PLANTE_BRAS_1 '1'
#define PLANTE_BRAS_6 '6'

void i2c_annexe_gestion(void);
void i2c_annexe_active_turbine(void);
void i2c_annexe_desactive_turbine(void);

void i2c_annexe_ouvre_porte(void);
void i2c_annexe_ferme_porte(void);
void i2c_annexe_mi_ferme_porte(void);

void i2c_annexe_active_propulseur(void);
void i2c_annexe_desactive_propulseur(void);

void i2c_annexe_envoie_score(uint8_t score);

uint8_t i2c_annexe_get_contacteur_butee_A(void);
uint8_t i2c_annexe_get_contacteur_butee_C(void);

uint8_t i2c_annexe_get_contacteur_longer_A(void);
uint8_t i2c_annexe_get_contacteur_longer_C(void);

void i2c_annexe_get_distances(uint8_t *distance_capteur_cm);
void i2c_annexe_couleur_balise(uint8_t couleur, uint16_t masque_led);

void i2c_annexe_active_deguisement(void);
void i2c_annexe_desactive_deguisement(void);

void i2c_annexe_plie_bras(void);
void i2c_annexe_deplie_bras(void);

uint8_t i2c_annexe_get_tension_batterie(void);

void i2c_annexe_actionneur_pot(int actionneur, uint8_t pos_bras, uint8_t pos_doigt);
void i2c_annexe_attrape_plante(uint8_t action);
void i2c_annexe_init(void);
